import App from './App.vue';
import { createSSRApp } from 'vue';
import { createPinia } from 'pinia';
import { registryConvert } from './common/utils/ConvertRgeistry';

// #ifdef H5
import Antd from 'ant-design-vue';
// #endif

import DialogAction from '@/components/utils/DialogAction';
import PageAction from '@/components/utils/PageAction';

export function createApp() {
  const app = createSSRApp(App);
  const pinia = createPinia()
  app.use(DialogAction);
  app.use(PageAction);
  app.use(pinia);

// #ifdef H5
  app.use(Antd);
// #endif

  registryConvert();
  return {
    app
  }
}
